Bug 1351429 - unable to update a non-healthy nova keypair
Summary: unable to update a non-healthy nova keypair
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: 9.0 (Mitaka)
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: 10.0 (Newton)
Assignee: Zane Bitter
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks: 1334467
TreeView+ depends on / blocked
 
Reported: 2016-06-30 04:54 UTC by Amit Ugol
Modified: 2016-12-14 15:42 UTC (History)
8 users (show)

Fixed In Version: openstack-heat-7.0.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:42:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
Launchpad 1597602 None None None 2016-06-30 04:54:45 UTC

Description Amit Ugol 2016-06-30 04:54:45 UTC
Description of problem:
Updating will not work well when a key pair will be marked as unhealthy.

In the following scenario I first try an update to make sure that updating works, then I marked as unhealthy and retried updating.

See more in the upstream bug

Comment 3 Zane Bitter 2016-08-03 21:09:01 UTC
Merged upstream in Newton.

Comment 6 errata-xmlrpc 2016-12-14 15:42:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.